Last Comment Bug 353178 - version bumps for fx 1508
: version bumps for fx 1508
Status: RESOLVED FIXED
: fixed1.8.0.8
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: unspecified
: All All
: -- blocker (vote)
: ---
Assigned To: T.R. Fullhart
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-18 10:28 PDT by Robert Helmer [:rhelmer]
Modified: 2006-10-25 15:39 PDT (History)
2 users (show)
dveditz: blocking1.8.0.8+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
bump to 1.5.0.8pre (1.67 KB, patch)
2006-09-18 10:38 PDT, Robert Helmer [:rhelmer]
mozpreed: review+
Details | Diff | Splinter Review
Bumping milestone and BuildTag in release tinderboxes (2.92 KB, patch)
2006-10-20 15:03 PDT, T.R. Fullhart
no flags Details | Diff | Splinter Review
Bumping milestone and BuildTag in release tinderboxes (4.79 KB, patch)
2006-10-20 15:15 PDT, T.R. Fullhart
mozpreed: review+
Details | Diff | Splinter Review
Bumping version in mozilla source tree (1.64 KB, patch)
2006-10-20 15:33 PDT, T.R. Fullhart
mozpreed: review+
Details | Diff | Splinter Review
Patch to put some of the $update_* variables back into tinder-config.pl (2.07 KB, patch)
2006-10-23 10:48 PDT, T.R. Fullhart
mozpreed: review+
Details | Diff | Splinter Review

Description Robert Helmer [:rhelmer] 2006-09-18 10:28:41 PDT
Track version bumps for Firefox 1508 release.
Comment 1 Robert Helmer [:rhelmer] 2006-09-18 10:38:38 PDT
Created attachment 239047 [details] [diff] [review]
bump to 1.5.0.8pre
Comment 2 Robert Helmer [:rhelmer] 2006-09-18 10:44:33 PDT
landed "pre" bump
Checking in browser/app/module.ver;
/cvsroot/mozilla/browser/app/module.ver,v  <--  module.ver
new revision: 1.11.2.4.2.8; previous revision: 1.11.2.4.2.7
done
Checking in browser/config/version.txt;
/cvsroot/mozilla/browser/config/version.txt,v  <--  version.txt
new revision: 1.4.18.3.2.8; previous revision: 1.4.18.3.2.7
done
Checking in config/milestone.txt;
/cvsroot/mozilla/config/milestone.txt,v  <--  milestone.txt
new revision: 3.27.2.3.2.8; previous revision: 3.27.2.3.2.7
done
Comment 3 Nick Thomas [:nthomas] 2006-09-18 15:15:55 PDT
Note for whoever bumps to 1.5.0.9 - mozilla/webtools/aus/xml/inc/config-dist.php will need 1.5.0.9 and 1.5.0.9pre added to keep nightly updates going. 

The equivalent *.8 values are already present.
Comment 4 Daniel Veditz [:dveditz] 2006-09-19 15:58:02 PDT
Restoring lost blocking flag
Comment 5 T.R. Fullhart 2006-10-20 15:03:12 PDT
Created attachment 242925 [details] [diff] [review]
Bumping milestone and BuildTag in release tinderboxes

This should be applied to the MOZILLA_1_8_0_BRANCH_release branch of /mofo/release/tinderbox-configs
Comment 6 T.R. Fullhart 2006-10-20 15:15:22 PDT
Created attachment 242930 [details] [diff] [review]
Bumping milestone and BuildTag in release tinderboxes
Comment 7 T.R. Fullhart 2006-10-20 15:19:21 PDT
Landed patch on MOZILLA_1_8_0_BRANCH_release branch:

Checking in firefox/linux/tinder-config.pl;
/mofo/release/tinderbox-configs/firefox/linux/tinder-config.pl,v  <--  tinder-config.pl
new revision: 1.1.2.2.2.8.2.13; previous revision: 1.1.2.2.2.8.2.12
done
Checking in firefox/macosx/tinder-config.pl;
/mofo/release/tinderbox-configs/firefox/macosx/tinder-config.pl,v  <--  tinder-config.pl
new revision: 1.1.2.3.2.1.2.8.2.8; previous revision: 1.1.2.3.2.1.2.8.2.7
done
Checking in firefox/win32/tinder-config.pl;
/mofo/release/tinderbox-configs/firefox/win32/tinder-config.pl,v  <--  tinder-config.pl
new revision: 1.4.2.9.2.12; previous revision: 1.4.2.9.2.11
done
Comment 8 T.R. Fullhart 2006-10-20 15:33:23 PDT
Created attachment 242931 [details] [diff] [review]
Bumping version in mozilla source tree

This should be applied to the MOZILLA_1_8_0_BRANCH.
Comment 9 J. Paul Reed [:preed] 2006-10-20 15:40:04 PDT
Checking in browser/app/module.ver;
/cvsroot/mozilla/browser/app/module.ver,v  <--  module.ver
new revision: 1.11.2.4.2.9; previous revision: 1.11.2.4.2.8
done
Checking in browser/config/version.txt;
/cvsroot/mozilla/browser/config/version.txt,v  <--  version.txt
new revision: 1.4.18.3.2.9; previous revision: 1.4.18.3.2.8
done
Checking in config/milestone.txt;
/cvsroot/mozilla/config/milestone.txt,v  <--  milestone.txt
new revision: 3.27.2.3.2.9; previous revision: 3.27.2.3.2.8
done
Comment 10 T.R. Fullhart 2006-10-23 10:48:40 PDT
Created attachment 243221 [details] [diff] [review]
Patch to put some of the $update_* variables back into tinder-config.pl

This patch puts $update_product, $update_platform, $update_version, and $update_ver_file back into the tinder-config.pl. I also fixed a typo in the macosx version.
Comment 11 J. Paul Reed [:preed] 2006-10-23 10:51:09 PDT
Comment on attachment 243221 [details] [diff] [review]
Patch to put some of the $update_* variables back into tinder-config.pl


This is fine, except for:


>+$update_platform = 'Darwin_ppc-gcc3';

Should be 'Darwin_Universal-gcc3'; you might verify to make sure the nightly config says that. It should.
Comment 12 T.R. Fullhart 2006-10-23 11:15:05 PDT
Landed the patch on MOZILLA_1_8_0_BRANCH_release:

Checking in firefox/linux/tinder-config.pl;
/mofo/release/tinderbox-configs/firefox/linux/tinder-config.pl,v  <--  tinder-config.pl
new revision: 1.1.2.2.2.8.2.14; previous revision: 1.1.2.2.2.8.2.13
done
Checking in firefox/macosx/tinder-config.pl;
/mofo/release/tinderbox-configs/firefox/macosx/tinder-config.pl,v  <--  tinder-config.pl
new revision: 1.1.2.3.2.1.2.8.2.9; previous revision: 1.1.2.3.2.1.2.8.2.8
done
Checking in firefox/win32/tinder-config.pl;
/mofo/release/tinderbox-configs/firefox/win32/tinder-config.pl,v  <--  tinder-config.pl
new revision: 1.4.2.9.2.13; previous revision: 1.4.2.9.2.12
done

Note You need to log in before you can comment on or make changes to this bug.